Subject: Re: bug#45582: 28: auto-fill final line of indented paragraph

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Jan 2021 09:12:07 +0200

> Date: Thu, 31 Dec 2020 18:23:25 -0500
> From: Boruch Baum <[email-masked]>
> 
> 1) Start emacs -Q -nw
> 2) In the scratch buffer
> 3) M-x set-fill-column 10
> 4) Enable auto-fill-mode
> 5) Type two spaces
> 6) Type about twenty single character words
> 
>    At this point everything looks good; we have several indented lines of a
>    paragraph.
> 
> 7) Type return to end the paragraph
> 
>    I'm now getting the final line, that had prior been properly indented,
>    now re-aligned / out-dented to column 1.

You are in Lisp Interaction mode, which has its own indentation
rules.  Try this in Fundamental mode, and you will see the behavior
you expect, I think.

IOW, I don't think there's a bug here.  But if there is a bug, please
tell what behavior you expected and why.

To investigate this further, note that electric-indent-mode is ON, and
see the doc string shown by "C-h k RET".